
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android资源之图像资源（1） / 憋错料</title>

    <meta name="description" content="Android资源之图像资源（1） 以前看别人的程序的drawable文件夹里有xml资源,说实话第一次见到这样的xml图像资源时,我真心不知道是干什么的.抽空学习了一下图像资源,才了解了这类图像资源的妙用.下面我来分享一下这部分知识: Android 中的图像资源文件保存在res/drawable目录中.在图像资源目录中不仅可以存储各种格式(jpg,png,gif等)的图像文件,还可以使用各种XML格式的图像资源来控制图像的状态 和行为. 1.普通图像资源 Android支持3种图像格式:png.jpg和gif.官方推荐使用pn">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android资源之图像资源（1）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>以前看别人的程序的drawable文件夹里有xml资源，说实话第一次见到这样的xml图像资源时，我真心不知道是干什么的。抽空学习了一下图像资源，才了解了这类图像资源的妙用。下面我来分享一下这部分知识:</p>
<p>Android 中的图像资源文件保存在res/drawable目录中。在图像资源目录中不仅可以存储各种&#26684;式(jpg,png,gif等)的图像文件，还可以使用各种XML&#26684;式的图像资源来控制图像的状态 和行为。</p>
<p>1、普通图像资源</p>
<p>Android支持3种图像&#26684;式：png、jpg和gif。官方推荐使用png&#26684;式的图像资源，jpg也可以考虑使用。但gif&#26684;式的图像文件并不鼓励使用，因为目前Android SDK并不支持动画gif。</p>
<p>普通图像资源的使用比较简单，故在此我就不过多讲述。本文主要还是讲述Android中XML图像资源。</p>
<p>2、XML图像资源</p>
<p>XML图像资源实际上就是在XML文件中指定drawable目录中的图像资源。XML图像资源使用&lt;bitmap&gt;标签定义。</p>
<p>下面举一例大家看一下：</p>
<p>在一个drawable文件夹下新建一个XML图像资源文件,文件名bitmap_test.xml。代码如下:</p>
<pre>&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;
&lt;bitmap xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;
    android:src=&quot;@drawable/ic_launcher&quot;
    android:tileMode=&quot;mirror&quot;
    /&gt;</pre>
<p>下面看一下如何怎么在java代码中引用这个XML图像资源文件，代码如下：</p>
<pre>Resources res=getResources();
		Drawable drawable=res.getDrawable(R.drawable.bitmap_test);
		TextView txt=(TextView)findViewById(R.id.textView);
		txt.setBackground(drawable);</pre>
<p>当然，引用这个XML图像资源也可以按照在XML文件引用普通图像资源那样，引用该bitmap_test.xml图像资源，在此就不多说了。</p>
<p>2.1、图层(Layer)资源</p>
<p>图层资源有些类&#20284;于布局中的&lt;FrameLayout&gt;，所不同的是&lt;FrameLayout&gt;标签中可以包含任意的控件，而图层资源中的每一层只能包含图像。定义图层资源必须使用&lt;layer-list&gt;标签作为资源文件的根节点，&lt;layer-list&gt;标签中可以包含多个&lt;item&gt;标签，每一个&lt;item&gt;标签表示一个图像，最后一个&lt;item&gt;标签会显示在最顶层。下面的代码使用&lt;item&gt;指定了一个图像。</p>
<p>&lt;item android:drawable=&quot;@drawable/image&quot;&gt;</p>
<p>默认情况下，图像会尽量充满显示图像的视图。因此，显示的图像可能会被拉伸。为了避免图像拉伸，可以在&lt;item&gt;标签中使用&lt;bitmap&gt;标签引用图像。</p>
<p>下面来看一个图层资源的例子</p>
<p>图层资源文件layer_test.xml代码如下所示:</p>
<pre>&lt;layer-list xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; &gt;
    &lt;item android:top=&quot;20dp&quot; android:left=&quot;20dp&quot;&gt;
        &lt;bitmap android:src=&quot;@drawable/qrcode&quot;
            android:gravity=&quot;center&quot;/&gt;
    &lt;/item&gt;
    &lt;item android:top=&quot;20dp&quot; android:left=&quot;20dp&quot;&gt;
        &lt;bitmap android:src=&quot;@drawable/desktoplog&quot;

            android:gravity=&quot;center&quot;/&gt;
    &lt;/item&gt;

&lt;/layer-list&gt;
</pre>
<p>在XML布局文件中引用该图层资源,如下所示：</p>
<pre> &lt;ImageView
        android:layout_width=&quot;fill_parent&quot;
        android:layout_height=&quot;fill_parent&quot;
        android:src=&quot;@drawable/layer_test&quot;
        /&gt;</pre>
<p>该图层资源案例的效果如图1-2所示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTQyMjAwMjgxNzE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WVc1a2NtOXBaRjlxYVdGdVoycDFiZz09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>图1-2图层资源案例演示效果</p>
<p>如无特殊情况建议使用图层来实现多个图像重合的效果。</p>
<p>由于时间的问题，Android资源之图像资源我就先讲到这里，明天毕业答辩之后，再把剩余的内容补上。</p>
<p>转载请注明出处：<a href="http://blog.csdn.net/android_jiangjun/article/details/30789545" rel="external nofollow noreferrer">http://blog.csdn.net/android_jiangjun/article/details/30789545</a></p>
<p><P>Android资源之图像资源（1）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 10:20:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/xml/" title="XML">XML</a>, <a href="https://www.biecuoliao.com/tag/android%e5%b9%b3%e5%8f%b0/" title="android平台">android平台</a>, <a href="https://www.biecuoliao.com/tag/%e5%9b%be%e5%b1%82%e8%b5%84%e6%ba%90/" title="图层资源">图层资源</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android资源之图像资源（1）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wWKYN3.html" rel="bookmark">Android资源之图像资源（淡入淡出、嵌入）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天把图像资源剩余的几个知识梳理一下.淡入淡出资源同图像状态和图像级别资源一样可以切换两个图像(目前只支持两个图像的切换),并且使这两个图像以淡入淡出效果进行切换.如上一篇博文介绍的开关电灯一样,如果加上淡入淡出效果会更好. 下面在res/drawable目录中建立一个cross_fade.xml文件,该文件内容如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;!-- transition标签中只能有两个ite			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgykP83.html" rel="bookmark">Android资源之图像资源（图像级别资源）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图像状态资源只能定义有限的几种状态.如果需要更多的状态,就要使用图像级别资源.在该资源文件中可以定义任意多个图像级别.每个图像级别是一个整数区间,可以通过ImageView.setImageLevel或Drawable.setLevel方法切换不同状态的图像. 图像级别资源是XML格式的文件,必须将&lt;level-list&gt;标签作为XML的根节点.&lt;level-list&gt;标签中可以有任意多个&lt;item&gt;标签,每一个&lt;item&gt;标签表示一个级别区间.级别区间用a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgaO7M.html" rel="bookmark">Android资源之图像资源（状态图像资源）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇博文中.我主要解说了XML图像资源中的图层资源,在此图像资源博文中我会给大家陆续解说XMl图像资源的图像状态资源.图像级别资源.淡入淡出资源.嵌入图像资源.剪切图像资源和外形资源. 1.图像状态资源: Android SDK提供的Button控件默认样式显得有些单调.并且这样的样式与炫丽的界面搭配在一起极不协调.当然.我们能够使用ImageView或ImgaeButton控件配合不同状态的图像做出非常酷的button,这里我给出用java代码实现button按下与正常状态的特效: btn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vQWa90.html" rel="bookmark">Android-自定义图像资源的使用（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android-自定义图像资源的使用 2014年4月28日 周一 天气晴朗 心情平静 本篇博文给大家介绍一下,在Android开发中经常用到的一些图像资源,详细内容麻烦请各位认真查看官网,下面附上一个链接:http://developer.android.com/guide/topics/resources/drawable-resource.html,本篇博客主要给出使用示例,让童鞋们对这些图像资源有个直观的了解. 代码资源:http://download.csdn.net/detail/ww			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rzzYX3.html" rel="bookmark">Android-自己定义图像资源的使用（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android-自己定义图像资源的使用 2014年4月28日 周一 天气晴朗 心情平静 本篇博文给大家介绍一下,在Android开发中经经常使用到的一些图像资源,具体内容麻烦请各位认真查看官网.下面附上一个链接:http://developer.android.com/guide/topics/resources/drawable-resource.html,本篇博客主要给出使用演示样例,让童鞋们对这些图像资源有个直观的了解. 代码资源:http://download.csdn.net/deta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGdNJy0.html" rel="bookmark">Android-自定义图像资源的使用（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android-自定义图像资源的使用 2014年4月29日 上一篇博客,介绍前面几种图像资源的使用,本篇博客把剩下的全部介绍完: 普通图像资源 XML图像资源 Nine-patch图像资源 XML Nine-patch图像资源 图层(Layer)图像资源 图像状态(state)资源 图像级别(Level)资源 淡入淡出(transition)资源 嵌入(Inset)图像资源 剪切(Clip)图像资源 比例(Scale)图像资源 外形(Shape)图像资源 代码资源:http://download			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YmPXN0.html" rel="bookmark">Andriod界面设计适配和Android Studio中的资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android的碎片化已经被喷了好多年,随着国内手机厂商的崛起,碎片化也越来越严重,根据OpenSignal的最新调查,2014年市面上有18796种不同的Android设备,作为开发者,一个无法回避的难题就是需要适配各种各样奇奇怪怪的机型. 设备机型不同必然也会导致屏幕大小和分辨率(Resolution)的不同,但是无论分辨率有多大,屏幕有多大,我们手指触控范围的大小不会发生变化,所以最优的适配方式应该是指定大小的控件在所有的设备上的显示都一样. Android的官方文档对此也有明确的说明 W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPJOB3.html" rel="bookmark">android中的用户资源访问（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天要总结一下android开发中的用户资源访问. android中的用户资源存在项目工程中res文件夹下,有字符串.颜色.大小.数组.布局.样式.主题等资源,这些资源可以在xml文件中引用,也可以在android源码文件中使用,今天总结一下字符串.颜色.大小.数组.布局和图片资源. 总的来说,在xml文件中引用的格式为[&lt;package&gt;.]@/XXX/name:在源码中引用格式是[&lt;package&gt;.]R.XXX.name. 先贴上在xml文件中引用的代码(在布局xml文件中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V0bNpm0.html" rel="bookmark">Android 热补丁技术&mdash;&mdash;资源的热修复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 今年真是热补丁框架的洪荒之力爆发的一年,短短几个月内,已经出现了好几个热修复的框架了,基本上都是大同小异,这里我就不过多的去评论这些框架.只有自己真正的去经历过,你才会发现其中的 大写的坑 事实上,现在出现的大多数热修复的框架,稳定性和兼容性都还达不到要求,包括阿里的Andfix,据同事说,我们自己的app原本没有多少crash,接入了andfix倒引起了一部分的crash,这不是一个热修复框架所应该具有的&quot;变态功能&quot;.虽然阿里百川现在在大力推广这套框架,我依旧不看好,只是其思路			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDKXY0.html" rel="bookmark" class="title">rman 冷备份异机迁移</a>
					<div>
						rman 作为 oracle 推荐的备份.恢复方式,我们常使用它来进行异机迁移数据库. 网上的攻略都是 rman 的热备份异机迁移,相比冷备份的异机迁移需要多备份归档(未归档)日志文件.联机日志文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJgxJ4.html" rel="bookmark" class="title">Quartz Core 图层编程</a>
					<div>
						\ Quartz Core 图层编程 一.添加 Quartz Core 框架 要使用 Quartz Core 框架,你需要将其添加到你的工程中 . 然后  #import &lt;Quartz Cor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQOWy3.html" rel="bookmark" class="title">html 动画</a>
					<div>
						.nana{ width: 200px; height: 300px; background:url(../image/bb.png) no-repeat; -webkit-animation-nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5LrZ3.html" rel="bookmark" class="title">PostgresSQL中的限制和级联删除</a>
					<div>
						摘录自:http://www.mamicode.com/info-detail-879792.html 删除和更新时对应的操作是一样的 1 Restrict 禁止删除被引用的行 (不能将约束检查推迟到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qw9X3.html" rel="bookmark" class="title">转：VC中MessageBox的常见用法</a>
					<div>
						一.关于MessageBox       消息框是个很常用的控件,属性比较多,本文列出了它的一些常用方法,及指出了它的一些应用场合.       1.MessageBox(&quot;这是一个最简单的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgzrv3.html" rel="bookmark" class="title">javascript---面向对象：构造函数</a>
					<div>
						首先javascript是基于对象的,即对象无处不在. 本节我们来讲讲js的构造函数. 创建对象实例有两种方法:第一种是工厂模式,第二种是构造函数 1.工厂模式 1 function CreateOb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l52pP3.html" rel="bookmark" class="title">当你有一个锤子，你看什么都像钉子</a>
					<div>
						这是我的第一页博客,入驻51cto很大原由是受到&quot;IT绿叶&quot;博文的感召. (http://chinaitly.blog.51cto.com/3581833/713003 博文网址) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxkWD0.html" rel="bookmark" class="title">201671010144 2016-2017-2 《java程序设计》--学习中遇到的问题！</a>
					<div>
						学习java第二周了,收获其实并不是很多.通过网课学习是一种方法,但是远远不够!我之前一直在腾讯课堂里听网课,多少接触了一些java的常识内容,靠这些东西可以在课堂上勉强应付老师的问题,但这只是耍小聪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v57lj0.html" rel="bookmark" class="title">unity3d里的XML读写示例</a>
					<div>
						关于U3D里面XML读写办法,谢谢刘老师的指导(刘国栋) 代码: /**Project name:*    *Author:*    *Version:*    *Description:*    * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kojJp0.html" rel="bookmark" class="title">编译安装axel</a>
					<div>
						axel被称为为linux上的迅雷,支持多线程下载.断点续传等. 1.解压: #tar -zxf axel-2.4.tar.gz 2.#cd axel-2.4 3.#./configure 4.#ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5vOD3.html" rel="bookmark" class="title">www服务所需软件&comma;及其作用</a>
					<div>
						httpd (提供 Apache 主程序) mysql (MySQL 客戶端程序) mysql-server (MySQL 服务器程序) php (PHP 主程序给apache 使用的模块) php- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLXOV4.html" rel="bookmark" class="title">UVa 12124 - Assemble</a>
					<div>
						题目:你要去自己买个组装机,现在给你每个零件的类别.名字.价钱.级别,以及你有的钱数, 求能组装成的机器的最大级别(机器的所有零件中的最小级别,即最小值最大). 分析:分治.dp.看起来很像是dp,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkQ720.html" rel="bookmark" class="title">家族企业的常青之道&mdash;&mdash;leo鉴书&lpar;68&rpar;</a>
					<div>
						&lt;Leo鉴书(第1辑)&gt;已登陆百度阅读,今后还将不断更新,免费下载地址:http://t.cn/RvawZEx 企业如何长久传承,如何长期有效操持活力,是多元化经营还是集中精力打一点,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDaEY0.html" rel="bookmark" class="title">安卓面试易考题（二）</a>
					<div>
						这是延续上一部分的知识,依然是面试题,进入正题: 面试题一:谈谈你对Activity的理解: 这是考官希望你把自己的心得,做项目的时候的体会写出来:我们可以答Activity异常被系统回收的时候怎么处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41GEjo0.html" rel="bookmark" class="title">Hybrid设计--如何落地一个Hybrid项目</a>
					<div>
						前后分离  -&gt;  统一前端框架 -&gt; 同一个账号体系  -&gt;  登录注册的公共页 -&gt;  有了这些公共业务后 推行 -&gt; Hybrid 技术 底层容器开发出来后 -&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41GmvP0.html" rel="bookmark" class="title">【51NOD-0】1012 最小公倍数LCM</a>
					<div>
						[算法]欧几里德算法 #include&lt;cstdio&gt; int gcd(int a,int b) {return b==0?a:gcd(b,a%b);} int main() { int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9Wwa0.html" rel="bookmark" class="title">求一个版本号的正则表达式，版本号的格式可以是1&period;1或1&period;1&period;2或10000这个样子的</a>
					<div>
						\d+(\.\d+){0,2} 解释:\d+ #匹配数字(\.\d+) #匹配数字之后还有.数字{0,2} #表示可以重复0-2次,匹配1.1和1.1.2的情况如果想要匹配1.1.1.1.1.1.1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME18GRM.html" rel="bookmark" class="title">安装mysql-Python</a>
					<div>
						1.mysql版本:mysql-5.1.60-winx64.msi(摘自他人博客的链接:http://blog.vpsks.com/822.htm) 2.Python  版本:2.7  64位的 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j9mjeM.html" rel="bookmark" class="title">Linux&lowbar;Command</a>
					<div>
						系统 # uname -a # 查看内核/操作系统/CPU信息 # head -n 1 /etc/issue # 查看操作系统版本 # cat /proc/cpuinfo # 查看CPU信息 # ho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAkak3.html" rel="bookmark" class="title">案例 - percona-online-schema-change各种坑</a>
					<div>
						线上环境复制使用ROW模式,对于上亿的表,使用pt online schema change 在把数据从旧表拷贝到临时表这步操作,会产生大量的binlog,这会导致主从延迟 在pt工具包2.1之前,p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
